/* 메인화면 - 배너 => 반응형에 맞게 CSS 수정 */
.banner-both {display: block;}
.banner-pc {display: block;}    /* PC 화면이므로 PC용 배너는 보입니다 */
.banner-mobile {display: none;} /* 💡 PC 화면이므로 모바일용 배너는 일단 숨깁니다 */

/* 메인화면 - 서비스 프로세스 */
#gw-shop-main-process .service-list {margin: 0 auto;max-width: 1400px;}
#gw-shop-main-process .service-list > li {padding: 20px;}
/* #gw-shop-main-process .service-list > li::after {content: "";background: url('../../../img/btn_next.png') no-repeat center center;} */
#gw-shop-main-process .service-list > li:not(:last-child) {border-right: 1px solid #ddd;}
#gw-shop-main-process .service-list img {width: 100px;height: auto;display: inline-block;}
#gw-shop-main-process .service-list .gw-sub-text {word-break: keep-all;}
#gw-shop-main-process .service-list .step-text {font-weight: bold;color: var(--main-color);margin-bottom: 10px;}


/* 게시판 스크랩 버튼 > 긴 텍스트 표시를 위해 width 90으로 확대 (기존 80)_20260624 LJS */
#bo_v_share .btn {width:90px;}

/* 아이콘 */
/* shop_icon_basic, shop_icon_new 추가_20260615 LJS */
.shop_icon_basic {background-color:var(--main-color);border:1px solid var(--main-color);}
.shop_icon_new {background-color:#C93333;} 

/* 상품 목록 스킨 10 */
/* sct_ellipsis : 제품 설명 말줄임표 CSS 추가_20260611_LJS */
.sct_10 .sct_basic .sct_ellipsis {display:-webkit-box;-webkit-box-orient:vertical;-webkit-line-clamp:1;font-size:1em;height:1.2em;line-height:1.2em;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}

/*그누위즈 메인 상품 목록 스킨 10-----------------------------------------------------------------------------------------------------------------*/
#gw-main-10-skin .sct_10{align-items: flex-start;}

/*그누위즈 메인 상품 목록 스킨 40-----------------------------------------------------------------------------------------------------------------*/
#gw-main-40-skin .sct_ct_wrap{width:100%;} /* 상품 설명 넘어가지 않도록 넓이 설정 추가_20260616 LJS */
#gw-main-40-skin .gw-main-40-progressbar {margin: 1rem 0;}
#gw-main-40-skin .slick-track {margin-left: 0 !important;} /* slick-track margin-left: auto 제거_20260616 LJS */

/*그누위즈 메인 상품 목록 스킨 50-----------------------------------------------------------------------------------------------------------------*/
#gw-main-50-skin .sct_10 .sct_cnt {padding-left: 10px;} /* 이미지와의 간격을 위해 padding-left: 10px; 추가_20260615 LJS */
#gw-main-50-skin .sct-dict-rate-circle {background: var(--main-color);}

/* 상품 상세보기--------------------------------------------------------------------------------------------------------------------------------*/
/* 상품 설명 위 아래 공간 확보를 위해 padding 추가_20260617 LJS */
#sit_inf_explan {padding-top:50px;padding-bottom:150px;}

/* 퀵메뉴 */
#gw-quick{z-index: 1000}

/* 게시판 글 상세보기 페이지---------------------------------------------------------------------------------------------------------------------*/
/* 게시판 스크랩 버튼 넓이 조정 */
#bo_v_share .btn {width:90px;}

/* 캡챠-----------------------------------------------------------------------------------------------------------------*/
/* 이미지 어긋남 수정 */
#captcha #captcha_mp3 {background: #c9c9c9 url('../../../img/captcha2.png') no-repeat center 3px;}
#captcha #captcha_reload  {background: #c9c9c9 url('../../../img/captcha2.png') no-repeat center -37px;}

@media screen and (max-width:1440px) {
    /*main.40.skin(메인)-----------------------------------------------------------------------------------------------------------------*/
    #gw-main-40-skin .sct_10 .sct_li{width:100%;}
    /* 모바일 화면 no-image와 상품이미지 사이즈 동일하게 변경 (max-width, max-height -> width, height) - 20260612 LJS*/
    #gw-main-40-skin .sct_10 .sct_img{width:100%;height:100%;}

}


@media screen and (max-width:1280px){
    /*헤더 - 태블릿 사이즈에서 헤더 모양 깨짐 수정 */
    #hd_wrapper {display:flex;align-items:center;}
}



@media screen and (max-width:1024px){

    /*메인-----------------------------------------------------------------------------------------------------------------*/
    /*그누위즈 메인 상품 목록 스킨 10*/
    #gw-main-10-skin .sct_li{width: calc(50% - 5px);padding:0 5px;}
    
    /* 하단 고정 메뉴 */
    #gw-fixed-menu {z-index:1000;} /* z-index 100->1000 변경_20260623 LJS */

    /* 모바일 '자세히보기' 버튼 위치 수정_20260618 LJS */
    #gw-sqa .sqa_con_btn button{position:relative;top:auto;right:auto;}

}

@media screen and (max-width:768px){
    /* 메인화면 배너이미지 - pc용, 모바일용 반응형으로 변경 */
    .banner-pc {display: none !important;}
    .banner-mobile {display: block !important;} /* 💡 숨겨져 있던 모바일용 배너를 나타나게 합니다 */

    /* 사용후기 상세 화면 */
    /* ###### 사용후기 정보 요소 모바일 css 추가_20260618 LJS ###### */
    .gw-review-info li { white-space: nowrap !important;word-break: keep-all !important;}
    .gw-review-info {flex-wrap: wrap !important;row-gap: 5px;justify-content: center;}

    /*메인-----------------------------------------------------------------------------------------------------------------*/
    /* 서비스 프로세스 */
    #gw-shop-main-process .service-list {flex-wrap:wrap;place-content:center;width: 100%}
    #gw-shop-main-process .service-list > li{width: 100% !important;}
    #gw-shop-main-process .service-list > li:not(:last-child) {border-right:none;border-bottom: 1px solid #ddd;}
}

@media screen and (max-width:576px){
    .sit_icon_li > span{flex-wrap: nowrap;}
    
    /*상품관련*/
    .sct_10 .sct_txt{margin: 5px 0px;} /* 상품명 줄 간격 조정_20260615 LJS */

    /* 그누위즈 메인 상품 목록 스킨 40 추가_20260616 LJS */
    #gw-main-40-skin .sct_10 .sct_cost {flex-direction: row;gap: 0.5rem;align-items:center;}
    #gw-main-40-skin .shop_icon{margin-left:0;padding:5px;width: 48px;font-size: 12px;}

    /*로그인-----------------------------------------------------------------------------------------------------------------*/
    #login_info{flex-direction: row;} /* flex-direction: column -> row로 수정(가로 출력을 위해)_20260616 LJS */
}
